Joomla 1.6 and my extensions

Posted on January 29, 2011. Filed under: Programming | Tags: |

Hi Folks,

Just thought I would give everyone a heads up on what’s going on with my plugins and modules and Joomla 1.6.  Since the release of Joomla 1.6, I have tested my existing plugins on it. So far, they won’t work on Joomla 1.6. So, please refrain from installing them on 1.6 as they are incompatible. All the plugins are compatible with Joomla 1.5 so far. Please take note of the requirements.

With that said, I am working on releasing Joomla 1.6 compatible versions of my plugins. I haven’t decided if I am going to release any 1.6 versions of the modules as yet. I am a little busy with some other projects so the modules are a low priority at the moment. However, I will be working on the plugins.

So far, from my research, it seems as though I am going to have to release a separate software package for the 1.6 compatible plugins. I was hoping that there was a way to have one package for both 1.5 and 1.6, but it seems like that may not be possible. However, I do have an idea of how I can test that for certain. So, I have to try it out. I haven’t seen any tutorials online about how to make a dual compatible (1.5 and 1.6) Joomla plugin. The key issues include the package file structure, the xml tags for the manifest file,  some events changes, converting to MVC design, and some library call changes.

Anyways, I won’t be deterred. I’ll be working on it for the next couple weeks. So, keep an eye out.

God Bless,
Michael

2,614 views

One Response to “Joomla 1.6 and my extensions”

RSS Feed for Michael's Blog Site Comments RSS Feed

looking forward to it


Comments are closed.

  • Featured Apps

  • Archive

  • Users Online

    Users: 3 Guests
  • Meta

  • Visitors

Liked it here?
Why not try sites on the blogroll...